Subject: bug#29706: GuixSD: Please add the ability to change shells for root

From: Leo Famulari <[email-masked]>
Date: Tue, 19 Dec 2017 10:39:13 -0500

On Wed, Dec 20, 2017 at 01:02:02AM +1000, BJH2017 wrote:
> (thought I had CC'ed the group with my last comment but unfortunately gmail
> doesn't do this by default, sorry)
> 
> Ya I do have %base-user-accounts in my config file here is what I had for
> user accounts in full:
> 
>   (users (cons
>               (user-account
>                 (name "root")
>                 (uid 0)
>                 (group "root")
>                 (supplementary-groups '("home-directory"))
>                 (home-directory "/root")
>                 (shell (file-append zsh "/bin/zsh")))
>                (user-account
>                 (name "fusion809")
>                 (comment "Brenton Horne")
>                 (group "users")
>                 (supplementary-groups '("wheel" "netdev"
>                                         "audio" "video"))
>                 (home-directory "/home/fusion809")
> (shell "/run/current-system/profile/bin/zsh"))
>                %base-user-accounts))
> 
> guessing the problem here is that I have two user-account fields?

Right, if you are adding more than one element to %base-user-accounts,
you'll need to use cons* instead of cons.

(users (cons* (user-account
                (name "root")
		...)
              (user-account
                (name "fusion809")
                ...)
              %base-user-accounts))